Bug 117737 - [maintainer-update] net-mgmt/nagios-devel: Update to 3.0.b6
Summary: [maintainer-update] net-mgmt/nagios-devel: Update to 3.0.b6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-01 09:30 UTC by Jarrod Sayers
Modified: 2007-12-12 14:00 UTC (History)
0 users

See Also:


Attachments
net-mgmt-nagios-devel-3.0.b6.diff (1.89 KB, patch)
2007-11-01 09:30 UTC, Jarrod Sayers
no flags Details | Diff
net-mgmt-nagios-devel-3.0.b7.diff (2.65 KB, patch)
2007-12-01 11:10 UTC, Jarrod Sayers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jarrod Sayers 2007-11-01 09:30:01 UTC
Update to 3.0.b6:
- Logging API revamp, cleanup
- Misc internal performance improvements
- Bug fix with attempting to access an uninitalized mutex if external commands
  are disabled
- Updates to .cvsignore files
- Fix for embedded Perl interpreter to recache scripts when they're modified
- Fix for canceling inheritance with 'null' in various object directives
- Additional functionality of additive inheritance feature
- Fixed bug where missing host/servicegroups in object definitions didn't always
  generate errors
- Increased max plugin output length cap from 4kb to 8kb
- Caching of Perl scripts now enabled by default if embedded Perl interpreter
  is compiled in
- Fix for segfault when contact definitions had no notification timeperiods
  defined
- Retention of host/service check scheduling options
- Fix for race condition when freshening host and service check results
- Added null -b option to install-sh for Solaris so install scripts don't break
- Added .gitignore files for git users
- Added new external commands to change notification period for host, services,
  and contact on-the-fly
- Added new external commands to change modified object attributes (affecting
  data retention logic)
- Added $ISVALIDTIME:$ and $NEXTVALIDTIME:$ on-demand macros
- Added enable_environment_macros option to determine whether or not macros are
  set as environment vars
- Major overhaul (read: complete rewrite) of macro code, so macros are now only
  computed when found
- Summary macros are now available as regular (non-environment) macros if
  requested when large installation tweaks are enabled
- Bug fix for scheduling hostgroup host downtime through web interface
- Better error logging when failing to rename/move files
- Added $LASTHOSTSTATE$, $LASTHOSTSTATEID$, $LASTSERVICESTATE$, and
  $LASTSERVICESTATEID$ macros
- Addition of object pointers to event broker module data structures (may
  require event broker module rebuilds)
- Spec file changes to better support RPM builds on 64-bit systems
- Possible fix for Unicode html encoding errors in CGIs

Fix: Downloadable diff from:
http://www.netleader.com.au/~jarrod/FreeBSD/net-mgmt-nagios-devel-3.0.b6.diff
Comment 1 Jarrod Sayers 2007-11-01 11:47:34 UTC
The attached patch did not include a fix for the ports pkg-plist file  
which fails to remove several directories under /var/spool/nagios (aka
NAGIOSDIR) even if they are empty.  The use of @dirrmtry to remove  
these fails as when the packing list is created, a %D/ is prefixed to  
the directory name.  Directories outside of %D require the use of the  
@dirrmtry's expanded form.  The patch mentioned in the URL now  
reflects the addition modification to pkg-plist and should be used in  
preference to the file attached to this PR.

<thought>
I'm not sure of the implications in fixing the @dirrmtry tags ability  
to remove directories outside of %D, i.e., fully qualified paths, but  
ports/Mk/bsd.port.mk could be modified to do so:
PLIST_REINPLACE+=	dirrmtryfq dirrmtry stopdaemon
PLIST_REINPLACE_DIRRMTRYFQ=s!^@dirrmtry \(/.*\)!@unexec rmdir \1 2>/ 
dev/null || true!
PLIST_REINPLACE_DIRRMTRY=s!^@dirrmtry \(.*\)!@unexec rmdir %D/\1 2>/ 
dev/null || true!
PLIST_REINPLACE_STOPDAEMON=s!^@stopdaemon \(.*\)!@unexec %D/etc/rc.d/ 
\1${RC_SUBR_SUFFIX} forcestop 2>/dev/null || true!
</thought>

Jarrod.
Comment 2 Martin Wilke freebsd_committer 2007-11-07 12:55:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Jarrod Sayers 2007-12-01 11:10:38 UTC
Martin,

Nagios 3.0.b7 has been released during the current ports freeze.   
Attached is an updated diff to bump the port to the current  
development version.

Downloadable version from:
http://www.netleader.com.au/~jarrod/FreeBSD/net-mgmt-nagios-devel-3.0.b7.diff

Jarrod.
Comment 4 Martin Wilke freebsd_committer 2007-12-12 13:57:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter service freebsd_committer 2007-12-12 13:58:02 UTC
miwi        2007-12-12 13:57:56 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/nagios-devel Makefile distinfo 
    net-mgmt/nagios-devel/files patch-configure.in 
  Log:
  - Update to 3.0.b7
  
  PR:             117737
  Submitted by:   Jarrod Sayers <jarrod@netleader.com.au> (maintainer)
  
  Revision  Changes    Path
  1.6       +1 -1      ports/net-mgmt/nagios-devel/Makefile
  1.5       +3 -3      ports/net-mgmt/nagios-devel/distinfo
  1.2       +4 -4      ports/net-mgmt/nagios-devel/files/patch-configure.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"